Debian Bug report logs - #359618
ifupdown: Logical interface for IPv6 not supported, and iproute2 commands not used

version graph

Package: ifupdown; Maintainer for ifupdown is Andrew Shadura <andrewsh@debian.org>; Source for ifupdown is src:ifupdown.

Reported by: "Venky Rao" <venkysrao@gmail.com>

Date: Tue, 28 Mar 2006 03:33:02 UTC

Severity: wishlist

Tags: ipv6, patch

Merged with 168776, 360155, 395826

Found in versions 0.6.4-4, ifupdown/0.6.7, ifupdown/0.6.5

Fixed in version ifupdown/0.7~alpha4

Done: Andrew Shadura <bugzilla@tut.by>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Anthony Towns <ajt@debian.org>:
Bug#359618; Package ifupdown. Full text and rfc822 format available.

Acknowledgement sent to "Venky Rao" <venkysrao@gmail.com>:
New Bug report received and forwarded. Copy sent to Anthony Towns <ajt@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Venky Rao" <venkysrao@gmail.com>
To: submit@bugs.debian.org
Subject: ifupdown: Logical interface for IPv6 not supported, and iproute2 commands not used
Date: Mon, 27 Mar 2006 21:24:34 -0600
[Message part 1 (text/plain, inline)]
Package: ifupdown
Version: 0.6.7
Severity: wishlist
Tags: patch, ipv6

Adding IPv6 addresses to an existing /etc/network/interfaces file is
cumbersome, as IPv6 does not support the logical interfaces, like eth0:23.
It would be convenient to make the /etc/network/interfaces file support
similar concepts for both IPv4 and IPv6 interfaces.  Also, for inet6
interfaces, the iproute2 commands can be used to handle interface operations
instead of ifconfig.

Patch for these two changes attached.

Regards,
venky
[Message part 2 (text/html, inline)]
[ifupdown-0.6.5.ipv6.patch (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Anthony Towns <ajt@debian.org>:
Bug#359618; Package ifupdown. Full text and rfc822 format available.

Acknowledgement sent to Rémi Denis-Courmont <rdenis@simphalempin.com>:
Extra info received and forwarded to list. Copy sent to Anthony Towns <ajt@debian.org>. Full text and rfc822 format available.

Message #10 received at 359618@bugs.debian.org (full text, mbox):

From: Rémi Denis-Courmont <rdenis@simphalempin.com>
To: "Venky Rao" <venkysrao@gmail.com>, 359618@bugs.debian.org
Subject: Re: ifupdown: Logical interface for IPv6 not supported, and iproute2 commands not used
Date: Wed, 23 Aug 2006 17:52:07 +0300
[Message part 1 (text/plain, inline)]
	Hello,

Le mardi 28 mars 2006 06:24, vous avez écrit :
> Adding IPv6 addresses to an existing /etc/network/interfaces file is
> cumbersome, as IPv6 does not support the logical interfaces, like
> eth0:23.

Well, it is cumbersome, but do-able:
...
	up ip -6 addr add 2001:db8::1/64 dev $IFACE
	down ip -6 addr del 2001:db8::1/64 dev $IFACE

> It would be convenient to make the /etc/network/interfaces  
> file support similar concepts for both IPv4 and IPv6 interfaces. 

IMHO, people should no longer use logical interfaces for IPv4 either. In 
both case, the use of iproute/netlink instead of net-tools/ioctl allows 
multiples addresses.

I personnaly find the idea of removing the ":xx" part of the interface 
really ugly (as in uglier than using the "cumbersome" approach above). 
I would expect naughty side effects, since it breaks common 
assumptions.

> Also, for inet6 interfaces, the iproute2 commands can be used to
> handle interface operations instead of ifconfig.

True. But again, it is also true for IPv4 or any other protocol family. 
Also, you can add and remove (IPv6-only) addresses using 
ioctl/ifconfig/net-tools. Is there anything that does not work properly 
when using the old interface? If not, I don't really see the point of 
updating, at least not only IPv6; it might make sense to move 
everything to iproute, but why just IPv6?

-- 
Rémi Denis-Courmont
http://www.remlab.net/
[Message part 2 (application/pgp-signature, inline)]

Forcibly Merged 168776 359618. Request was from Rémi Denis-Courmont <rdenis@simphalempin.com> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to 'serious' from 'wishlist' Request was from Clint Adams <schizo@debian.org> to control@bugs.debian.org. (Tue, 23 Mar 2010 01:03:42 GMT) Full text and rfc822 format available.

Added tag(s) sid and squeeze. Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Tue, 23 Mar 2010 07:51:25 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'serious' Request was from Gerfried Fuchs <rhonda@deb.at> to control@bugs.debian.org. (Tue, 23 Mar 2010 08:30:43 GMT) Full text and rfc822 format available.

Merged 168776 359618 360155. Request was from Kenyon Ralph <kenyon@kenyonralph.com> to control@bugs.debian.org. (Fri, 03 Dec 2010 13:03:03 GMT) Full text and rfc822 format available.

Merged 168776 359618 360155 395826. Request was from Kenyon Ralph <kenyon@kenyonralph.com> to control@bugs.debian.org. (Fri, 03 Dec 2010 13:03:05 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:03:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Andrew Shadura <bugzilla@tut.by> to control@bugs.debian.org. (Wed, 11 Jan 2012 16:12:09 GMT) Full text and rfc822 format available.

Message #27 received at 395826-done@bugs.debian.org (full text, mbox):

From: Andrew Shadura <bugzilla@tut.by>
To: Douglas Calvert <dfc@douglasfcalvert.net>, 395826-done@bugs.debian.org
Subject: Re: Bug#395826:
Date: Mon, 12 Nov 2012 23:12:15 +0100
[Message part 1 (text/plain, inline)]
Hello,

On Mon, 12 Nov 2012 17:05:31 -0500
Douglas Calvert <dfc@douglasfcalvert.net> wrote:

> What is the status of this bug? It is six years old now?

Would be much easier to actually check :) It's been fixed a long time
ago.

-- 
WBR, Andrew
[signature.asc (application/pgp-signature, attachment)]

Marked as fixed in versions ifupdown/0.7~alpha4. Request was from Andrew Shadura <bugzilla@tut.by> to control@bugs.debian.org. (Mon, 12 Nov 2012 22:21:03 GMT) Full text and rfc822 format available.

Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:34:27 GMT) Full text and rfc822 format available.

Removed tag(s) sid, squeeze, wheezy, and jessie. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Fri, 01 Nov 2013 22:31:42 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Nov 2013 07:35:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:29:32 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.